
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C1C030  ; location in v1.0
;org $C1C02D  ; location in v1.1
;org $C1BFDE  ; location in SFC
C1C030:	LDA $10  ; get attacker
C1C032:	BPL load_block
	STZ $618A  ; v1.0 or v1.1
;	STZ $615A  ; SFC only
C1C037:	STZ $6A2E,X  ; v1.0 or v1.1
;C1C037:	STZ $69FE,X  ; SFC only

load_block:
C1C03A:	PLA
C1C03B:	PHX
C1C03C:	TAX
C1C03D:	LDA $C1B74B,X  ; v1.0 only
;C1C03D:	LDA $C1B748,X  ; v1.1 only
;C1C03D:	LDA $C1B6F9,X  ; SFC only
C1C041:	STA $626E  ; v1.0 or v1.1
;C1C041:	STZ $623E  ; SFC only
;REMOVED1:
;	STZ $618A  ; v1.0 or v1.1
;	STZ $615A  ; SFC only

org $C2303E  ; location in v1.0 or v1.1
;org $C24739  ; location in SFC version
REPLACE1:
C2303E:	JSR load_special_data  ; JSR goes to new function
;C2303E:	JSR $2D71  ; replaces this in v1.0 and v1.1
;C2303E:	JSR $2D6C  ; replaces this in SFC version

org $C2E8FE  ; location in v1.0 or v1.1
;org $C2E8C0  ; location in SFC version
DW needed_for_lore

org $C2F798  ; location in v1.0
;org $C2F79F  ; location in v1.1
;org $C2F75A  ; location in SFC version
REPLACE2:
C2F798:	BRA set_twos  ; this BRA replaces four instructions
;	LDA #$02
;	STA $7B0E  ; v1.0 or v1.1
;	STA $7ADE  ; SFC only
;	STA $7B0F  ; v1.0 or v1.1
;	STA $7ADF  ; SFC only
;	RTS

needed_for_lore:
C2F79A:	JSR $FA1B  ; v1.0 only
;C2F79A:	JSR $FA22  ; v1.1 only
;C2F79A:	JSR $F9DD  ; SFC only
REPLACE3:
C2F79D:	JSR $F7CA  ; v1.0 old
;C2F79D:	JSR $FA4F  ; v1.0 new
;C2F79D:	JSR $F7D1  ; v1.1 old
;C2F79D:	JSR $FA56  ; v1.1 new
;C2F79D:	JSR $F78C  ; SFC old
;C2F79D:	JSR $FA11  ; SFC new
;REMOVED2:
;	LDA #$3C
;	STA $002123
C2F7A0:	STZ $961B  ; v1.0 or v1.1
;C2F7A0:	STZ $95EB  ; SFC only
;REMOVED3:
;	JSL $C1C386  ; v1.0 only
;	JSL $C1C383  ; v1.1 only
;	JSL $C1C334  ; SFC only
;	JSL $C19A9E  ; v1.0 only
;	JSL $C19A9B  ; v1.1 only
;	JSL $C19A4C  ; SFC only
;	LDA $10
;	JSL $C1C3ED  ; v1.0 only
;	JSL $C1C3EA  ; v1.1 only
;	JSL $C1C39B  ; SFC only
;	LDA #$02
;	STA $7B0E  ; v1.0 or v1.1
;	STA $7ADE  ; SFC only
;	STA $7B0F  ; v1.0 or v1.1
;	STA $7ADF  ; SFC only
C2F7A3:	RTS

load_special_data:
	REP #$20
	STA $33A8,Y
	PHX
	JSR $2D71  ; v1.0 or v1.1
;	JSR $2D6C  ; SFC only
	PHA
	ASL A
	ASL A
	ASL A
	ASL A
	ASL A
	TAX
	SEP #$20
	LDA $CF001F,X
	STA $322D,Y
	PLX
	LDA $CF37C0,X
	STA $3C81,Y
	PLX
	RTS

org $C2F809  ; location in v1.0
;org $C2F810  ; location in v1.1
;org $C2F7CB  ; location in SFC version
set_twos: