
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C23F54  ; location in v1.0 or v1.1
;org $C23F3C  ; location in SFC version
pearl_wind:
REPLACE1:
C23F54:	JSR $40FE  ; v1.0 or v1.1
;C23F54:	JSR $40E6  ; SFC only
;	LDA #$60  ; JSR replaces these four instructions
;	TSB $11A2
;	STZ $3414
;	REP #$20
C23F57:	LDA $3BF4,Y  ; caster's current HP
REPLACE2:
C23F5A:	BRA move_on  ; branch replaces two instructions
;C23F5A:	STA $11B0
;C23F5B:	RTS

golem:
C23F5C:	REP #$20  ; 16-bit A
C23F5E:	LDA $3BF4,Y  ; caster's current HP
C23F61:	STA $3A36  ; damage Golem absorbs
C23F64:	RTS

soul_sabre:
C23F65:	LDA #$80
C23F67:	TSB $11A3  ; set to concern MP

drainer:
C23F6A:	LDA #$08
C23F6C:	TSB $11A2  ; set to cure Undead
C23F6F:	LDA #$02
C23F71:	TSB $11A4  ; set to redirect
C23F74:	RTS

heal_rod:
C23F75:	LDA #$01  ; switch these two LDA-TSB combos if reversing
C23F77:	TSB $11A4  ; set to heal

ignore_defense:
C23F7A:	LDA #$20
C23F7C:	TSB $11A2  ; set to ignore defense
C23F7F:	RTS

valiant_knife:
REPLACE3:
C23F80:	JSR ignore_defense  ; replaces two instructions
;	LDA #$20
;	TSB $11A2
C23F83:	REP #$20  ; 16-bit A
	LDA $3C58,Y  ; Relic effects
	LSR A  ; check for Offering
	PHP  ; save check result for later
C23F8A:	SEC
C23F8B:	LDA $3C1C,Y
C23F8E:	SBC $3BF4,Y  ; max HP - current HP
	PLP
	BCC add_damage  ; if Offering equipped, cut increase in half
	LSR A
C23F95:	CLC

add_damage:
C23F96:	ADC $11B0
	BCC save_damage
	TDC
	DEC A

move_on:
REPLACE4:
C23F9D:	BRA save_damage  ; branch replaces two instructions
;C23F9D:	STA $11B0  ; increase damage
;C23F9E:	RTS

wind_slash:

org $C23FF8  ; location in v1.0 or v1.1
;org $C23FE0  ; location in SFC version
save_damage:	DB $8D

org $C242EB  ; location in v1.0 or v1.1
;org $C242D3  ; location in SFC version
DW drainer,soul_sabre

org $C242F5  ; location in v1.0 or v1.1
;org $C242DD  ; location in SFC version
DW valiant_knife,wind_slash,heal_rod

org $C24303  ; location in v1.0 or v1.1
;org $C242EB  ; location in SFC version
DW golem